Subject: Re: ioctl32 unknown cmds with 2.6.24-rc1

From: Arnd Bergmann <[email-masked]>
Date: Thu, 25 Oct 2007 16:20:49 +0200

On Thursday 25 October 2007, Geert Uytterhoeven wrote:
> If you want to look into this, the question is just why these messages are
> printed now, while they weren't printed before. I don't think any other
> behavior got changed.

I'm not so sure about that. The reason that the messages are printed now
is that there is no fallback handler for these ioctl numbers any more,
but they are instead expected to be handled by the compat_blkdev_ioctl()
function, which is only called for block devices.

My first idea was that the ioctl numbers are used on files that are
not block devices, in this case the warning message would be (somewhat)
appropriate.

Whenever we get one of these messages on a real block device, that is
supposed to mean that an ioctl that was actually valid could not be
executed, and compat_blkdev_ioctl() returned -ENOIOCTLCMD.

	Arnd <><